# ParseError
<span class="source-link">[[Source]](src/options/options.md#L94)</span>
```pony
interface ref ParseError
```

## Public Functions

### reason
<span class="source-link">[[Source]](src/options/options.md#L95)</span>


```pony
fun box reason()
: (UnrecognisedOption val | MissingArgument val | InvalidArgument val | 
    AmbiguousMatch val)
```

#### Returns

* ([UnrecognisedOption](options-UnrecognisedOption) val | [MissingArgument](options-MissingArgument) val | [InvalidArgument](options-InvalidArgument) val | 
    [AmbiguousMatch](options-AmbiguousMatch) val)

---

### report
<span class="source-link">[[Source]](src/options/options.md#L96)</span>


```pony
fun box report(
  out: OutStream tag)
: None val
```
#### Parameters

*   out: [OutStream](builtin-OutStream) tag

#### Returns

* [None](builtin-None) val

---

